org.apache.xalan.transformer

## Class MsgMgr

- java.lang.Object
- - org.apache.xalan.transformer.MsgMgr

-     public class MsgMgr
      extends java.lang.Object

  This class will manage error messages, warning messages, and other types of message events.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MsgMgr(TransformerImpl transformer)` Create a message manager object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(javax.xml.transform.SourceLocator srcLctr, org.w3c.dom.Node styleNode, org.w3c.dom.Node sourceNode, java.lang.String msg)` Tell the user of an error, and probably throw an exception.
    `void` | `error(javax.xml.transform.SourceLocator srcLctr, org.w3c.dom.Node styleNode, org.w3c.dom.Node sourceNode, java.lang.String msg, java.lang.Object[] args)` Tell the user of an error, and probably throw an exception.
    `void` | `error(javax.xml.transform.SourceLocator srcLctr, java.lang.String msg)` Tell the user of an error, and probably throw an exception.
    `void` | `error(javax.xml.transform.SourceLocator srcLctr, java.lang.String msg, java.lang.Exception e)` Tell the user of an error, and probably throw an exception.
    `void` | `error(javax.xml.transform.SourceLocator srcLctr, java.lang.String msg, java.lang.Object[] args)` Tell the user of an error, and probably throw an exception.
    `void` | `error(javax.xml.transform.SourceLocator srcLctr, java.lang.String msg, java.lang.Object[] args, java.lang.Exception e)` Tell the user of an error, and probably throw an exception.
    `void` | `message(javax.xml.transform.SourceLocator srcLctr, java.lang.String msg, boolean terminate)` Warn the user of a problem.
    `void` | `warn(javax.xml.transform.SourceLocator srcLctr, org.w3c.dom.Node styleNode, org.w3c.dom.Node sourceNode, java.lang.String msg)` Warn the user of a problem.
    `void` | `warn(javax.xml.transform.SourceLocator srcLctr, org.w3c.dom.Node styleNode, org.w3c.dom.Node sourceNode, java.lang.String msg, java.lang.Object[] args)` Warn the user of a problem.
    `void` | `warn(javax.xml.transform.SourceLocator srcLctr, java.lang.String msg)` Warn the user of a problem.
    `void` | `warn(javax.xml.transform.SourceLocator srcLctr, java.lang.String msg, java.lang.Object[] args)` Warn the user of a problem.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MsgMgr

          public MsgMgr(TransformerImpl transformer)

      Create a message manager object.
      Parameters:
        `transformer` - non transformer instance

  - ### Method Detail

    - #### message

          public void message(javax.xml.transform.SourceLocator srcLctr,
                              java.lang.String msg,
                              boolean terminate)
                       throws javax.xml.transform.TransformerException

      Warn the user of a problem. This is public for access by extensions.
      Parameters:
        `msg` - The message text to issue
        `terminate` - Flag indicating whether to terminate this process
      Throws:
        `XSLProcessorException` - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
        `javax.xml.transform.TransformerException`

    - #### warn

          public void warn(javax.xml.transform.SourceLocator srcLctr,
                           java.lang.String msg)
                    throws javax.xml.transform.TransformerException

      Warn the user of a problem.
      Parameters:
        `msg` - Message text to issue
      Throws:
        `XSLProcessorException` - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
        `javax.xml.transform.TransformerException`
      Usage:
        **For internal use only**

    - #### warn

          public void warn(javax.xml.transform.SourceLocator srcLctr,
                           java.lang.String msg,
                           java.lang.Object[] args)
                    throws javax.xml.transform.TransformerException

      Warn the user of a problem.
      Parameters:
        `msg` - Message text to issue
        `args` - Arguments to pass to the message
      Throws:
        `XSLProcessorException` - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
        `javax.xml.transform.TransformerException`
      Usage:
        **For internal use only**

    - #### warn

          public void warn(javax.xml.transform.SourceLocator srcLctr,
                           org.w3c.dom.Node styleNode,
                           org.w3c.dom.Node sourceNode,
                           java.lang.String msg)
                    throws javax.xml.transform.TransformerException

      Warn the user of a problem.
      Parameters:
        `styleNode` - Stylesheet node
        `sourceNode` - Source tree node
        `msg` - Message text to issue
      Throws:
        `XSLProcessorException` - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
        `javax.xml.transform.TransformerException`
      Usage:
        **For internal use only**

    - #### warn

          public void warn(javax.xml.transform.SourceLocator srcLctr,
                           org.w3c.dom.Node styleNode,
                           org.w3c.dom.Node sourceNode,
                           java.lang.String msg,
                           java.lang.Object[] args)
                    throws javax.xml.transform.TransformerException

      Warn the user of a problem.
      Parameters:
        `styleNode` - Stylesheet node
        `sourceNode` - Source tree node
        `msg` - Message text to issue
        `args` - Arguments to pass to the message
      Throws:
        `XSLProcessorException` - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
        `javax.xml.transform.TransformerException`
      Usage:
        **For internal use only**

    - #### error

          public void error(javax.xml.transform.SourceLocator srcLctr,
                            java.lang.String msg)
                     throws javax.xml.transform.TransformerException

      Tell the user of an error, and probably throw an exception.
      Parameters:
        `msg` - Message text to issue
      Throws:
        `XSLProcessorException` - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
        `javax.xml.transform.TransformerException`
      Usage:
        **For internal use only**

    - #### error

          public void error(javax.xml.transform.SourceLocator srcLctr,
                            java.lang.String msg,
                            java.lang.Object[] args)
                     throws javax.xml.transform.TransformerException

      Tell the user of an error, and probably throw an exception.
      Parameters:
        `msg` - Message text to issue
        `args` - Arguments to be passed to the message
      Throws:
        `XSLProcessorException` - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
        `javax.xml.transform.TransformerException`
      Usage:
        **For internal use only**

    - #### error

          public void error(javax.xml.transform.SourceLocator srcLctr,
                            java.lang.String msg,
                            java.lang.Exception e)
                     throws javax.xml.transform.TransformerException

      Tell the user of an error, and probably throw an exception.
      Parameters:
        `msg` - Message text to issue
        `e` - Exception to throw
      Throws:
        `XSLProcessorException` - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
        `javax.xml.transform.TransformerException`
      Usage:
        **For internal use only**

    - #### error

          public void error(javax.xml.transform.SourceLocator srcLctr,
                            java.lang.String msg,
                            java.lang.Object[] args,
                            java.lang.Exception e)
                     throws javax.xml.transform.TransformerException

      Tell the user of an error, and probably throw an exception.
      Parameters:
        `msg` - Message text to issue
        `args` - Arguments to use in message
        `e` - Exception to throw
      Throws:
        `XSLProcessorException` - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
        `javax.xml.transform.TransformerException`
      Usage:
        **For internal use only**

    - #### error

          public void error(javax.xml.transform.SourceLocator srcLctr,
                            org.w3c.dom.Node styleNode,
                            org.w3c.dom.Node sourceNode,
                            java.lang.String msg)
                     throws javax.xml.transform.TransformerException

      Tell the user of an error, and probably throw an exception.
      Parameters:
        `styleNode` - Stylesheet node
        `sourceNode` - Source tree node
        `msg` - Message text to issue
      Throws:
        `XSLProcessorException` - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
        `javax.xml.transform.TransformerException`
      Usage:
        **For internal use only**

    - #### error

          public void error(javax.xml.transform.SourceLocator srcLctr,
                            org.w3c.dom.Node styleNode,
                            org.w3c.dom.Node sourceNode,
                            java.lang.String msg,
                            java.lang.Object[] args)
                     throws javax.xml.transform.TransformerException

      Tell the user of an error, and probably throw an exception.
      Parameters:
        `styleNode` - Stylesheet node
        `sourceNode` - Source tree node
        `msg` - Message text to issue
        `args` - Arguments to use in message
      Throws:
        `XSLProcessorException` - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
        `javax.xml.transform.TransformerException`
      Usage:
        **For internal use only**

Copyright © 2023 Apache XML Project. All Rights Reserved.